/*=====================================================================
  File:      CSharpEventInfo.cs

  Summary:   Brief summary of the file contents and purpose.

---------------------------------------------------------------------
  This file is part of the Microsoft NGWS SDK Code Samples.

  Copyright (C) 2000 Microsoft Corporation.  All rights reserved.

This source code is intended only as a supplement to Microsoft
Development Tools and/or on-line documentation.  See these other
materials for detailed information regarding Microsoft code samples.

THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
PARTICULAR PURPOSE.
=====================================================================*/

namespace LangUtil {

using System;
using System.Text;
using System.Reflection;
using System.Collections;

   public class CSharpEventInfo : LangEventInfo
   {
      public CSharpEventInfo( EventInfo myEvent ) : base( myEvent )
      {      
      }

      public string Attributes
      {
         override get
         {
            StringBuilder sb = new StringBuilder();
            
            /*    not yet implemented  */ 
            
            return sb.ToString();
         }
      }


      public string TextDeclaration
      {
         override get { return Attributes + "event " + m_Name; }      
      }
   
      public override bool IsEvent() { return true; }


   } // End class

} // namespace LangUtil
